#include <stdio.h>
#include <stdlib.h>
#include <windows.h>
#include <conio.h>

#include <fmod.h>
#include <fmod_errors.h>


FMUSIC_MODULE *mod = NULL;
FSOUND_SAMPLE *song = 0;
FSOUND_DSPUNIT    *DrySFXUnit = NULL;

void SoundInit()
{

    if (FSOUND_GetVersion() < FMOD_VERSION)
    {
        printf("Error : You are using the wrong DLL version!  You should be using FMOD %.02f\n", FMOD_VERSION);
        exit(1);
    }

    if (!FSOUND_Init(44100, 64, 0))
    {
        printf("%s\n", FMOD_ErrorString(FSOUND_GetError()));
        exit(1);
    }
}

void PlaySong()
{
    mod = FMUSIC_LoadSong("retroattivo.mod");
    if (!mod)
    {
        printf("%s\n", FMOD_ErrorString(FSOUND_GetError()));
        exit(1);
    }
    FMUSIC_PlaySong(mod);
}


void SoundEnd()
{
    FMUSIC_FreeSong(mod);
    FSOUND_Close();
}
